%define debug_package %{nil}
%define         framework baloo-widgets
%define         git_commit 423203e
Name:           kf5-%{framework}
Version:        5.1.0.2
Release:        3.20141230git%{git_commit}%{?dist}
Summary:        A Tier 3 KDE Frameworks 5 module that provides widgets built on top of Baloo

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            https://www.kde.org
# Source0:        http://download.kde.org/unstable/networkmanagement/%{version}/src/%{name}-%{version}.tar.xz
# # Package from git snapshots using releaseme scripts
#Source0:        http://download.kde.org/unstable/frameworks/4.99.0/%{framework}-4.99.0.tar.xz
#Source0:        %{framework}-%{git_commit}.tar.xz
Source0:        %{framework}-%{git_commit}.tar.bz2

BuildRequires:  qt5-qtbase-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kservice-devel
BuildRequires:  kf5-kfilemetadata-devel
BuildRequires:  kf5-baloo-devel
#BuildRequires:  kf5-umbrella

Requires:       kf5-filesystem

%description
%{Summary}.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn %{framework}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} -DKDEPIM_SUPPORT_BUILD:BOOL=ON ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast  DESTDIR=%{buildroot} -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_kf5_bindir}/baloo_filemetadata_temp_extractor
%{_kf5_libdir}/libKF5BalooWidgets.so.*
%{_kf5_libdir}/libKF5BalooNaturalQueryParser.so.*

%files devel
%dir %{_kf5_includedir}/Baloo/Baloo/
%dir %{_kf5_includedir}/Baloo/baloo/
%{_kf5_libdir}/libKF5BalooWidgets.so
%{_kf5_libdir}/libKF5BalooNaturalQueryParser.so
%{_kf5_libdir}/cmake/KF5BalooWidgets
%{_kf5_includedir}/BalooWidgets
%{_kf5_includedir}/Baloo/Baloo/*
%{_kf5_includedir}/Baloo/baloo/*

%changelog
* Sun May 18 2014 Daniel Vrátil <dvratil@redhat.com> - 5.1.0.2-2.20141016bdccbd1
- KF5 Baloo Widgets 5.1.0.2 (git snapshot built from common kdepimlibs/frameworks repo)
